Skip to main content
PUT
/
api2
/
v1
/
segmentationRules
/
{segRuleUid}
/
file
Replace segmentation rule file
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/segmentationRules/{segRuleUid}/file \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
{
  "name": "<string>",
  "filename": "<string>",
  "id": "<string>",
  "uid": "<string>",
  "locale": "<string>",
  "language": "<string>",
  "primary": true,
  "dateCreated": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Disposition
string
required

must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)

Path Parameters

segRuleUid
integer<int64>
required

Body

application/octet-stream

streamed file

The body is of type object.

Response

successful operation

segmentation rule object

name
string
required
Maximum string length: 255
filename
string
required
Maximum string length: 255
id
string
uid
string
locale
string
language
string
primary
boolean

Default: false

dateCreated
string<date-time>
createdBy
object